summaryrefslogtreecommitdiff
path: root/.git-hooks/post-merge
diff options
context:
space:
mode:
authorJan Holesovsky <kendy@collabora.com>2015-09-08 14:51:43 +0200
committerJan Holesovsky <kendy@collabora.com>2015-09-08 14:51:43 +0200
commit63833851913c2fdb009e49df933dfef7b051013d (patch)
tree85c54df43b59a620dcc99135e6692f59c8f5d6af /.git-hooks/post-merge
parent7ab770081ca955ae0da5d6c98f4badefd1f8f064 (diff)
git-hooks: Copy them from the 'core' repo here too.
It's increasingly useful to be able to edit help without having 'core' around.
Diffstat (limited to '.git-hooks/post-merge')
-rwxr-xr-x.git-hooks/post-merge12
1 files changed, 12 insertions, 0 deletions
diff --git a/.git-hooks/post-merge b/.git-hooks/post-merge
new file mode 100755
index 0000000000..b1be51202a
--- /dev/null
+++ b/.git-hooks/post-merge
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+# Do not warn if there were no real merge
+git rev-parse -q --verify HEAD^2 >/dev/null || exit
+
+echo
+echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+echo "! You probably used 'git pull' instead of 'git pull -r' !"
+echo "!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!"
+echo
+echo "You can still fix it - please do 'git pull -r' now."
+echo